PR_GET_PDEATHSIG(2const)

NAME
PR_GET_PDEATHSIG - get the parent-death signal number of the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_PDEATHSIG, int *sig);

DESCRIPTION
Return the parent-death signal number of the calling process, in the location pointed to by sig.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    sig is an invalid address.

STANDARDS
Linux.

HISTORY
Linux 2.3.15.

SEE ALSO
signal(2), PR_SET_PDEATHSIG(2const)